complexType "TradeChangeBase"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 7 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 2 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, (tradeIdentifier* | originalTrade?), agreementDate?, executionDateTime?, effectiveDate?, payment?
</...>

Content Model Elements (7):

  agreementDate,
  effectiveDate (defined in AgreementAndEffectiveDates.model group),
  eventIdentifier (defined in AbstractEvent complexType),
  executionDateTime (defined in AgreementAndEffectiveDates.model group),
  originalTrade,
  payment (defined in TradeAlterationPayment.model group),
  tradeIdentifier (defined in TradeChangeBase complexType)

Known Direct Subtypes (1):

  TradeNotionalChange

All Direct / Indirect Based Elements (2):

  increase, termination

Known Usage Locations

- In derivations of other global types (1):
  TradeNotionalChange (as extension base)

Annotation
A structure describing a trade change.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) TradeChangeBase

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="TradeChangeBase"> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <!-- choice of trade ID or complete original change added for SDR reporting 2011-03 BAL --> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="originalTrade" type="Trade"/> </xsd:choice> <xsd:group ref="AgreementAndEffectiveDates.model"/> <xsd:group ref="TradeAlterationPayment.model"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 2/7)
originalTrade

  Type: | Trade, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="originalTrade" type="Trade"/>

tradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="tradeIdentifier" type="PartyTradeIdentifier"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.